<?xml version="1.0"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
               xmlns:xlf="urn:oasis:names:tc:xliff:document:2.0"
               version="2.0">

<xsl:output method="xml" indent="yes" encoding="utf-8" />

<xsl:strip-space elements="*" />

<xsl:template match="node()|@*">
 <xsl:copy>
  <xsl:apply-templates select="@*|node()"/>
 </xsl:copy>
</xsl:template>

<xsl:template match="xlf:xliff" priority="3">
 <html>
  <head>
   <meta http-equiv="content-type" content="text/html; charset=utf-8" />
  </head>
  <xsl:apply-templates />
 </html>  
</xsl:template>

<xsl:template match="*" priority="2">
 <xsl:choose>
  <xsl:when test="local-name()='ph' and @fs">
   <xsl:variable name="nid" select="@nid" />
   <xsl:variable name="attname">
    <xsl:for-each select="ancestor::xlf:unit[1]//xlf:data[@id=$nid]">
     <xsl:value-of select="substring-before(substring-after(.,' '),'=')" />
    </xsl:for-each>
   </xsl:variable>
   <xsl:variable name="attval">
    <xsl:for-each select="ancestor::xlf:unit[1]//xlf:data[@id=$nid]">
     <xsl:value-of select="substring-before(substring-after(.,'&#34;'),'&#34;')" />
    </xsl:for-each>
   </xsl:variable>
   <xsl:element name="{@fs}">

    <xsl:attribute name="{$attname}" select="$attval" />
    <xsl:apply-templates />
   </xsl:element>
  </xsl:when>
  <xsl:when test="@fs">
   <xsl:element name="{@fs}">
    <xsl:apply-templates />
   </xsl:element>
  </xsl:when>

  <xsl:when test="text()[not(parent::*[@fs])]">
  </xsl:when>  
  <xsl:otherwise>
   <xsl:apply-templates />
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

</xsl:transform>
